My experience installing deepin desktop on Endeavouros arch based linux

so today, I noticed that Deepin was not installed by endeavouros installer from its iso image of the current version. I had used rufus with EndeavourOS_Atlantis-21_4.iso to my usb drive, I am guessing deepin was not included for some reason or forgotten about for desktops it could install. or it was there and I missed it when installing to my hard drive /dev/sdb drive and windows at /dev/sda

so I want ahead and used yay -s to add it in this was my experience doing so, first time I tried 5 4 3 but it failed and second time I used 3 2 1 which seemed to of worked and install it, I have not log out to log into it yet, so I see if it install right or not.

sudo yay -s deepin-desktop
[sudo] password for robert: 
 -> Avoid running yay as root/sudo.
5 aur/deepin-desktop-schemas-git 5.9.16.r11.gbae658d-10 (+0 0.00) 
    GSettings deepin desktop-wide schemas
4 aur/deepin-desktop-base-git 2021.1.25.r0.g2388ac2-16 (+0 0.00) 
    Base component for Deepin
3 community/deepin-file-manager 1:5.2.24-1 (18.9 MiB 36.5 MiB) [deepin] 
    Deepin File Manager
2 community/deepin-desktop-schemas 5.9.18-1 (46.4 KiB 275.6 KiB) [deepin] 
    GSettings deepin desktop-wide schemas
1 community/deepin-desktop-base 2:2021.06.16-1 (15.3 KiB 45.8 KiB) [deepin] 
    Base component for Deepin
==> Packages to install (eg: 1 2 3, 1-3 or ^4)
==> 5 4 3  
resolving dependencies...
:: There are 2 providers available for DEEPIN-ANYTHING-MODULE:
:: Repository community
   1) deepin-anything-arch  2) deepin-anything-dkms

Enter a number (default=1): 1
looking for conflicting packages...
warning: dependency cycle detected:
warning: startdde will be installed before its deepin-file-manager dependency
warning: dependency cycle detected:
warning: deepin-session-ui will be installed before its deepin-daemon dependency
warning: dependency cycle detected:
warning: deepin-control-center will be installed before its startdde dependency
warning: dependency cycle detected:
warning: deepin-control-center will be installed before its deepin-daemon dependency
warning: dependency cycle detected:
warning: deepin-launcher will be installed before its startdde dependency
warning: dependency cycle detected:
warning: deepin-session-shell will be installed before its startdde dependency

warning: insufficient columns available for table display
Packages (60) avfs-1.1.4-2  blur-effect-1.1.3-2  deepin-account-faces-1.0.12-1
              deepin-anything-5.0.9-1  deepin-anything-arch-5.0.9-48
              deepin-api-5.4.11-1  deepin-control-center-5.4.70-2
              deepin-daemon-5.13.49-1  deepin-desktop-base-2:2021.06.16-1
              deepin-desktop-schemas-5.9.18-1  deepin-dock-5.4.52-1
              deepin-gtk-theme-2020.06.10-1  deepin-icon-theme-2021.08.19-1
              deepin-launcher-5.4.37-1  deepin-menu-5.0.1-4
              deepin-network-utils-5.4.12-1  deepin-polkit-agent-5.4.12-1
              deepin-polkit-agent-ext-gnomekeyring-0.1.0-2
              deepin-pw-check-5.0.22-1  deepin-qt-dbus-factory-5.4.20-1
              deepin-qt5integration-5.5.8-1
              deepin-qt5platform-plugins-5.0.40-1
              deepin-session-shell-5.4.58-2  deepin-session-ui-5.4.29-1
              deepin-sound-theme-15.10.6-1  deepin-wallpapers-1:1.7.7-2
              deepin-wayland-1.0.0-1  disomaster-5.0.7-1  dtkcommon-5.5.17-1
              dtkcore-1:5.5.17.1-1  dtkgui-5.5.17.1-2  dtkwidget-5.5.17.1-1
              gdk-pixbuf-xlib-2.40.2-1  geoip-database-extra-20211123-1
              gio-qt-0.0.11-1  graphviz-2.50.0-1  gsettings-qt-0.1.20170110-3
              gts-0.7.6.121130-2  htmlcxx-0.87-3  imwheel-1.0.0pre12-6
              jemalloc-1:5.2.1-5  libburn-1.5.4-1
              libgnome-keyring-3.12.0+13+g4f8ab73-3  libisoburn-1.5.4-2
              libisofs-1.5.4-1  liblightdm-qt5-1:1.30.0-4  libmediainfo-21.09-1
              libqtxdg-3.8.0-1  libzen-0.4.39-1  lshw-B.02.19.2-3
              lucene++-3.0.8-2  lzlib-1.12-2  mimetic-0.9.8-2
              netpbm-10.73.36-1  papirus-icon-theme-20211201-1
              startdde-5.8.29-1  tinyxml2-9.0.0-1  udisks2-qt5-5.0.6-1
              xcur2png-0.7.1-7  deepin-file-manager-1:5.2.24-1

Total Download Size:   193.77 MiB
Total Installed Size:  651.37 MiB

:: Proceed with installation? [Y/n] Y
:: Retrieving packages...
 papirus-icon-the...    21.2 MiB   213 KiB/s 01:42 [----------------------] 100%
 geoip-database-e...    22.6 MiB   203 KiB/s 01:54 [----------------------] 100%
 deepin-icon-them...    20.7 MiB   180 KiB/s 01:58 [----------------------] 100%
 deepin-file-mana...    18.9 MiB   149 KiB/s 02:10 [----------------------] 100%
 deepin-wallpaper...    29.3 MiB   215 KiB/s 02:20 [----------------------] 100%
 deepin-control-c...    11.0 MiB   218 KiB/s 00:52 [----------------------] 100%
 deepin-sound-the...     4.0 MiB   143 KiB/s 00:29 [----------------------] 100%
 deepin-api-5.4.1...    10.2 MiB   180 KiB/s 00:58 [----------------------] 100%
 graphviz-2.50.0-...     3.1 MiB   151 KiB/s 00:21 [----------------------] 100%
 lucene++-3.0.8-2...     2.6 MiB   233 KiB/s 00:11 [----------------------] 100%
 libmediainfo-21....     2.5 MiB   175 KiB/s 00:14 [----------------------] 100%
 startdde-5.8.29-...     3.5 MiB  92.1 KiB/s 00:39 [----------------------] 100%
 netpbm-10.73.36-...  1861.4 KiB   177 KiB/s 00:10 [----------------------] 100%
 deepin-pw-check-...  1773.9 KiB   214 KiB/s 00:08 [----------------------] 100%
 deepin-account-f...  1118.7 KiB   228 KiB/s 00:05 [----------------------] 100%
 lshw-B.02.19.2-3...  1619.3 KiB   182 KiB/s 00:09 [----------------------] 100%
 deepin-dock-5.4....  1073.8 KiB   483 KiB/s 00:02 [----------------------] 100%
 deepin-session-s...   802.2 KiB   476 KiB/s 00:02 [----------------------] 100%
 deepin-daemon-5....    14.1 MiB   125 KiB/s 01:56 [----------------------] 100%
 deepin-qt-dbus-f...   791.1 KiB  87.2 KiB/s 00:09 [----------------------] 100%
 libisoburn-1.5.4...   767.5 KiB   101 KiB/s 00:08 [----------------------] 100%
 deepin-session-u...   790.0 KiB  90.6 KiB/s 00:09 [----------------------] 100%
 jemalloc-1:5.2.1...   312.1 KiB  70.3 KiB/s 00:04 [----------------------] 100%
 dtkwidget-5.5.17...    14.9 MiB   113 KiB/s 02:15 [----------------------] 100%
 dtkcore-1:5.5.17...   358.1 KiB  71.8 KiB/s 00:05 [----------------------] 100%
 deepin-gtk-theme...   324.7 KiB  65.1 KiB/s 00:05 [----------------------] 100%
 deepin-launcher-...   519.3 KiB  88.7 KiB/s 00:06 [----------------------] 100%
 deepin-qt5platfo...   287.7 KiB   340 KiB/s 00:01 [----------------------] 100%
 libburn-1.5.4-1-...   285.9 KiB   315 KiB/s 00:01 [----------------------] 100%
 deepin-qt5integr...   271.7 KiB   223 KiB/s 00:01 [----------------------] 100%
 libisofs-1.5.4-1...   263.4 KiB   166 KiB/s 00:02 [----------------------] 100%
 gts-0.7.6.121130...   211.0 KiB   117 KiB/s 00:02 [----------------------] 100%
 avfs-1.1.4-2-x86_64   203.2 KiB   268 KiB/s 00:01 [----------------------] 100%
 dtkgui-5.5.17.1-...   170.3 KiB   192 KiB/s 00:01 [----------------------] 100%
 libqtxdg-3.8.0-1...   151.4 KiB   158 KiB/s 00:01 [----------------------] 100%
 udisks2-qt5-5.0....   147.5 KiB   135 KiB/s 00:01 [----------------------] 100%
 libgnome-keyring...   139.9 KiB   132 KiB/s 00:01 [----------------------] 100%
 mimetic-0.9.8-2-...   127.6 KiB   218 KiB/s 00:01 [----------------------] 100%
 libzen-0.4.39-1-...   126.5 KiB  84.2 KiB/s 00:02 [----------------------] 100%
 deepin-anything-...   125.2 KiB  86.7 KiB/s 00:01 [----------------------] 100%
 deepin-network-u...    99.8 KiB  69.2 KiB/s 00:01 [----------------------] 100%
 gio-qt-0.0.11-1-...    87.6 KiB  66.5 KiB/s 00:01 [----------------------] 100%
 deepin-polkit-ag...    81.3 KiB   148 KiB/s 00:01 [----------------------] 100%
 htmlcxx-0.87-3-x...    80.2 KiB   151 KiB/s 00:01 [----------------------] 100%
 lzlib-1.12-2-x86_64    62.9 KiB  83.2 KiB/s 00:01 [----------------------] 100%
 gdk-pixbuf-xlib-...    58.4 KiB  74.2 KiB/s 00:01 [----------------------] 100%
 tinyxml2-9.0.0-1...    47.1 KiB  56.6 KiB/s 00:01 [----------------------] 100%
 deepin-desktop-s...    46.4 KiB  39.2 KiB/s 00:01 [----------------------] 100%
 imwheel-1.0.0pre...    44.4 KiB  60.2 KiB/s 00:01 [----------------------] 100%
 deepin-menu-5.0....    39.7 KiB  99.2 KiB/s 00:00 [----------------------] 100%
 deepin-wayland-1...    34.8 KiB  49.1 KiB/s 00:01 [----------------------] 100%
 gsettings-qt-0.1...    28.3 KiB  38.9 KiB/s 00:01 [----------------------] 100%
 liblightdm-qt5-1...    27.2 KiB  50.3 KiB/s 00:01 [----------------------] 100%
 disomaster-5.0.7...    21.3 KiB  18.3 KiB/s 00:01 [----------------------] 100%
 blur-effect-1.1....    15.7 KiB  13.5 KiB/s 00:01 [----------------------] 100%
 deepin-desktop-b...    15.3 KiB  29.5 KiB/s 00:01 [----------------------] 100%
 deepin-anything-...    15.0 KiB  26.7 KiB/s 00:01 [----------------------] 100%
 deepin-polkit-ag...    13.1 KiB  23.0 KiB/s 00:01 [----------------------] 100%
 dtkcommon-5.5.17...    11.1 KiB  22.7 KiB/s 00:00 [----------------------] 100%
 xcur2png-0.7.1-7...    11.0 KiB  28.5 KiB/s 00:00 [----------------------] 100%
 Total (60/60)         193.8 MiB   786 KiB/s 04:12 [----------------------] 100%
(60/60) checking keys in keyring                   [----------------------] 100%
(60/60) checking package integrity                 [----------------------] 100%
(60/60) loading package files                      [----------------------] 100%
(60/60) checking for file conflicts                [----------------------] 100%
:: Processing package changes...
( 1/60) installing deepin-qt-dbus-factory          [----------------------] 100%
( 2/60) installing dtkcommon                       [----------------------] 100%
( 3/60) installing deepin-desktop-base             [----------------------] 100%
( 4/60) installing gsettings-qt                    [----------------------] 100%
( 5/60) installing lshw                            [----------------------] 100%
Optional dependencies for lshw
    gtk2 [installed]
( 6/60) installing dtkcore                         [----------------------] 100%
( 7/60) installing dtkgui                          [----------------------] 100%
( 8/60) installing dtkwidget                       [----------------------] 100%
( 9/60) installing libqtxdg                        [----------------------] 100%
Optional dependencies for libqtxdg
    xterm: the default terminal for running .desktop files [installed]
(10/60) installing deepin-wayland                  [----------------------] 100%
(11/60) installing deepin-qt5platform-plugins      [----------------------] 100%
(12/60) installing deepin-qt5integration           [----------------------] 100%
(13/60) installing deepin-anything-arch            [----------------------] 100%
(14/60) installing udisks2-qt5                     [----------------------] 100%
(15/60) installing deepin-anything                 [----------------------] 100%
(16/60) installing libburn                         [----------------------] 100%
(17/60) installing libisofs                        [----------------------] 100%
(18/60) installing libisoburn                      [----------------------] 100%
Optional dependencies for libisoburn
    tk: for xorriso-tcltk frontend
    sudo: for use with xorriso-dd-target [installed]
(19/60) installing disomaster                      [----------------------] 100%
(20/60) installing gio-qt                          [----------------------] 100%
(21/60) installing libzen                          [----------------------] 100%
(22/60) installing tinyxml2                        [----------------------] 100%
(23/60) installing netpbm                          [----------------------] 100%
(24/60) installing gts                             [----------------------] 100%
(25/60) installing graphviz                        [----------------------] 100%
Optional dependencies for graphviz
    mono: sharp bindings
    guile: guile bindings [installed]
    lua: lua bindings [installed]
    ocaml: ocaml bindings
    perl: perl bindings [installed]
    python: python bindings [installed]
    r: r bindings
    tcl: tcl bindings [installed]
    qt5-base: gvedit [installed]
    gtk2: gtk output plugin [installed]
    xterm: vimdot [installed]
(26/60) installing libmediainfo                    [----------------------] 100%
(27/60) installing lucene++                        [----------------------] 100%
(28/60) installing lzlib                           [----------------------] 100%
(29/60) installing avfs                            [----------------------] 100%
(30/60) installing jemalloc                        [----------------------] 100%
Optional dependencies for jemalloc
    perl: for jeprof [installed]
(31/60) installing deepin-gtk-theme                [----------------------] 100%
Optional dependencies for deepin-gtk-theme
    gtk-engine-murrine: for gtk2 themes
(32/60) installing papirus-icon-theme              [----------------------] 100%
(33/60) installing deepin-icon-theme               [----------------------] 100%
(34/60) installing deepin-sound-theme              [----------------------] 100%
(35/60) installing deepin-desktop-schemas          [----------------------] 100%
(36/60) installing gdk-pixbuf-xlib                 [----------------------] 100%
(37/60) installing xcur2png                        [----------------------] 100%
(38/60) installing blur-effect                     [----------------------] 100%
(39/60) installing deepin-api                      [----------------------] 100%
Failed to open 'deepin-sound-player.conf', ignoring: No such file or directory
chown: invalid user: ‘deepin-sound-player:deepin-sound-player’
error: command failed to execute correctly
(40/60) installing deepin-polkit-agent             [----------------------] 100%
(41/60) installing libgnome-keyring                [----------------------] 100%
Optional dependencies for libgnome-keyring
    org.freedesktop.secrets: secret storage backend [installed]
(42/60) installing deepin-polkit-agent-ext-gno...  [----------------------] 100%
(43/60) installing liblightdm-qt5                  [----------------------] 100%
(44/60) installing deepin-account-faces            [----------------------] 100%
warning: directory permissions differ on /var/lib/AccountsService/icons/
filesystem: 775  package: 755
(45/60) installing geoip-database-extra            [----------------------] 100%
(46/60) installing deepin-network-utils            [----------------------] 100%
(47/60) installing deepin-pw-check                 [----------------------] 100%
(48/60) installing deepin-control-center           [----------------------] 100%
Optional dependencies for deepin-control-center
    redshift: automatic color temperature support
    networkmanager-openconnect: for OpenConnect support
    networkmanager-openvpn: for OpenVPN support [installed]
    networkmanager-pptp: for PPTP support
    networkmanager-strongswan: for StrongSwan support
    networkmanager-vpnc: for VPNC support
    network-manager-sstp: for SSTP support
(49/60) installing deepin-wallpapers               [----------------------] 100%
(50/60) installing deepin-session-ui               [----------------------] 100%
(51/60) installing imwheel                         [----------------------] 100%
(52/60) installing deepin-daemon                   [----------------------] 100%
Optional dependencies for deepin-daemon
    networkmanager: for network management support [installed]
    bluez: for bluetooth support [installed]
    iw: for miracast module [installed]
    proxychains-ng: for proxy configuration module
(53/60) installing deepin-menu                     [----------------------] 100%
(54/60) installing deepin-launcher                 [----------------------] 100%
(55/60) installing deepin-dock                     [----------------------] 100%
(56/60) installing deepin-session-shell            [----------------------] 100%
(57/60) installing startdde                        [----------------------] 100%
Optional dependencies for startdde
    deepin-wm: Legacy 3D window manager
    deepin-metacity: Legacy 2D window manager
    deepin-kwin: Preferred window manager
(58/60) installing htmlcxx                         [----------------------] 100%
(59/60) installing mimetic                         [----------------------] 100%
(60/60) installing deepin-file-manager             [----------------------] 100%
Optional dependencies for deepin-file-manager
    deepin-manual: for help menual
    deepin-shortcut-viewer: for shortcut display
    deepin-screensaver: for screensaver chooser
    deepin-movie: for video preview
    deepin-terminal: for opening in terminal
    deepin-compressor: for compress/decompress
:: Running post-transaction hooks...
( 1/11) Creating system user accounts...
Creating group deepin-anything-server with gid 963.
Creating group deepin_anything_server with gid 962.
Creating group deepin-daemon with gid 961.
Creating user deepin-anything-server (Deepin Anthing Server) with uid 963 and gid 963.
Creating user deepin_anything_server (Deepin Anything Server) with uid 962 and gid 962.
Creating group deepin-sound-player with gid 960.
Creating user deepin-sound-player (Deepin Sound Player) with uid 960 and gid 960.
Creating user deepin-daemon (Deepin Daemon) with uid 961 and gid 961.
( 2/11) Reloading system manager configuration...
( 3/11) Reloading device manager configuration...
( 4/11) Arming ConditionNeedsUpdate...
( 5/11) Updating module dependencies...
( 6/11) Reloading system bus configuration...
( 7/11) Warn about old perl modules
( 8/11) Compiling GSettings XML schema files...
( 9/11) Updating icon theme caches...
(10/11) Updating the info directory file...
(11/11) Updating the desktop file MIME type cache...
:: Checking for conflicts...
:: Checking for inner conflicts...
 -> 
Package conflicts found:
 -> Installing deepin-desktop-base-git will remove: deepin-desktop-base
 -> Installing deepin-desktop-schemas-git will remove: deepin-desktop-schemas
 -> Conflicting packages will have to be confirmed manually
[Repo Make:17]  go-2:1.17.5-1  golang-github-alecthomas-template-0.0.20160405-2  golang-github-davecgh-go-spew-1.1.1-2  golang-github-pmezard-go-difflib-1.0.0-2  golang-github-stretchr-objx-0.2.0-2  golang-github-stretchr-testify-1.6.1-2  golang-github-alecthomas-units-0.0.20151022-2  golang-gopkg-alecthomas-kingpin.v2-2.2.6-3  golang-deepin-gir-2.0.2-5  golang-golang-x-sys-0.0.20191229-2  golang-golang-x-crypto-0.0.20200303-2  golang-golang-x-net-0.0.20191210-2  golang-golang-x-tools-0.0.20191225-2  golang-golang-x-text-0.3.3-2  golang-github-linuxdeepin-go-x11-client-0.6.7-2  golang-golang-x-image-0.0.20191214-2  golang-deepin-lib-5.7.12-1
[Aur:2]  deepin-desktop-schemas-git-5.9.16.r11.gbae658d-10  deepin-desktop-base-git-2021.1.25.r0.g2388ac2-16

==> Remove make dependencies after install? [y/N] N
:: (0/2) Downloaded PKGBUILD: deepin-desktop-schemas-git
:: (0/2) Downloaded PKGBUILD: deepin-desktop-base-git
 -> error fetching deepin-desktop-schemas-git: fatal: could not create work tree dir 'deepin-desktop-schemas-git': Permission denied 
	 context: exit status 128

error fetching deepin-desktop-base-git: fatal: could not create work tree dir 'deepin-desktop-base-git': Permission denied 
	 context: exit status 128

[robert@robert-Gigabyte ~]$ sudo yay -s deepin-desktop
[sudo] password for robert: 
 -> Avoid running yay as root/sudo.
5 aur/deepin-desktop-schemas-git 5.9.16.r11.gbae658d-10 (+0 0.00) 
    GSettings deepin desktop-wide schemas
4 aur/deepin-desktop-base-git 2021.1.25.r0.g2388ac2-16 (+0 0.00) 
    Base component for Deepin
3 community/deepin-file-manager 1:5.2.24-1 (18.9 MiB 36.5 MiB) [deepin] (Installed)
    Deepin File Manager
2 community/deepin-desktop-schemas 5.9.18-1 (46.4 KiB 275.6 KiB) [deepin] (Installed)
    GSettings deepin desktop-wide schemas
1 community/deepin-desktop-base 2:2021.06.16-1 (15.3 KiB 45.8 KiB) [deepin] (Installed)
    Base component for Deepin
==> Packages to install (eg: 1 2 3, 1-3 or ^4)
==> 3 2 1
warning: deepin-file-manager-1:5.2.24-1 is up to date -- reinstalling
warning: deepin-desktop-schemas-5.9.18-1 is up to date -- reinstalling
warning: deepin-desktop-base-2:2021.06.16-1 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Package (3)                       Old Version     New Version     Net Change

community/deepin-desktop-base     2:2021.06.16-1  2:2021.06.16-1    0.00 MiB
community/deepin-desktop-schemas  5.9.18-1        5.9.18-1          0.00 MiB
community/deepin-file-manager     1:5.2.24-1      1:5.2.24-1        0.00 MiB

Total Installed Size:  36.83 MiB
Net Upgrade Size:       0.00 MiB

:: Proceed with installation? [Y/n] Y
(3/3) checking keys in keyring                     [----------------------] 100%
(3/3) checking package integrity                   [----------------------] 100%
(3/3) loading package files                        [----------------------] 100%
(3/3) checking for file conflicts                  [----------------------] 100%
:: Processing package changes...
(1/3) reinstalling deepin-desktop-base             [----------------------] 100%
(2/3) reinstalling deepin-desktop-schemas          [----------------------] 100%
(3/3) reinstalling deepin-file-manager             [----------------------] 100%
:: Running post-transaction hooks...
(1/7) Reloading system manager configuration...
(2/7) Arming ConditionNeedsUpdate...
(3/7) Reloading system bus configuration...
(4/7) Compiling GSettings XML schema files...
(5/7) Updating icon theme caches...
(6/7) Checking which packages need to be rebuilt
(7/7) Updating the desktop file MIME type cache...
[robert@robert-Gigabyte ~]$ 


Deepin is not an EndeavourOS developed desk top. :hugs:

so thats why it was not included during the install?

ok thanks for reply back about it :slight_smile:
maybe in the future it can be a developed desk top for EndeavourOS

1 Like

deepin isn’t included because it has so many regular bugs that it isn’t recommended.

Of course, you are free to install it yourself.

You probably should have done this:

sudo pacman -S deepin deepin-extra

What you have in your output is probably going to result in a mess.

is it better to install with pacman -s instead of yay -s, maybe I should of been using pacman more.

[robert@robert-Gigabyte ~]$ sudo pacman -S deepin deepin-extra
[sudo] password for robert: 
:: There are 33 members in group deepin:
:: Repository community
   1) deepin-account-faces  2) deepin-anything  3) deepin-api
   4) deepin-calendar  5) deepin-control-center  6) deepin-daemon
   7) deepin-desktop-base  8) deepin-desktop-schemas  9) deepin-dock
   10) deepin-file-manager  11) deepin-gtk-theme  12) deepin-icon-theme
   13) deepin-image-viewer  14) deepin-launcher  15) deepin-menu
   16) deepin-metacity  17) deepin-network-utils  18) deepin-polkit-agent
   19) deepin-polkit-agent-ext-gnomekeyring  20) deepin-pw-check
   21) deepin-qt5integration  22) deepin-qt5platform-plugins
   23) deepin-screensaver  24) deepin-session-shell  25) deepin-session-ui
   26) deepin-shortcut-viewer  27) deepin-sound-theme
   28) deepin-system-monitor  29) deepin-turbo  30) deepin-wallpapers
   31) deepin-wayland  32) deepin-wm  33) startdde

Enter a selection (default=all): all
error: invalid number: all

Enter a selection (default=all): 
warning: deepin-account-faces-1.0.12-1 is up to date -- reinstalling
warning: deepin-anything-5.0.9-1 is up to date -- reinstalling
warning: deepin-api-5.4.11-1 is up to date -- reinstalling
warning: deepin-control-center-5.4.70-2 is up to date -- reinstalling
warning: deepin-daemon-5.13.49-1 is up to date -- reinstalling
warning: deepin-desktop-base-2:2021.06.16-1 is up to date -- reinstalling
warning: deepin-desktop-schemas-5.9.18-1 is up to date -- reinstalling
warning: deepin-dock-5.4.52-1 is up to date -- reinstalling
warning: deepin-file-manager-1:5.2.24-1 is up to date -- reinstalling
warning: deepin-gtk-theme-2020.06.10-1 is up to date -- reinstalling
warning: deepin-icon-theme-2021.08.19-1 is up to date -- reinstalling
warning: deepin-launcher-5.4.37-1 is up to date -- reinstalling
warning: deepin-menu-5.0.1-4 is up to date -- reinstalling
warning: deepin-network-utils-5.4.12-1 is up to date -- reinstalling
warning: deepin-polkit-agent-5.4.12-1 is up to date -- reinstalling
warning: deepin-polkit-agent-ext-gnomekeyring-0.1.0-2 is up to date -- reinstalling
warning: deepin-pw-check-5.0.22-1 is up to date -- reinstalling
warning: deepin-qt5integration-5.5.8-1 is up to date -- reinstalling
warning: deepin-qt5platform-plugins-5.0.40-1 is up to date -- reinstalling
warning: deepin-session-shell-5.4.58-2 is up to date -- reinstalling
warning: deepin-session-ui-5.4.29-1 is up to date -- reinstalling
warning: deepin-sound-theme-15.10.6-1 is up to date -- reinstalling
warning: deepin-wallpapers-1:1.7.7-2 is up to date -- reinstalling
warning: deepin-wayland-1.0.0-1 is up to date -- reinstalling
warning: startdde-5.8.29-1 is up to date -- reinstalling
:: There are 21 members in group deepin-extra:
:: Repository community
   1) deepin-album  2) deepin-boot-maker  3) deepin-calculator
   4) deepin-camera  5) deepin-clipboard  6) deepin-clone
   7) deepin-community-wallpapers  8) deepin-compressor
   9) deepin-device-formatter  10) deepin-draw  11) deepin-editor
   12) deepin-font-manager  13) deepin-movie  14) deepin-music
   15) deepin-picker  16) deepin-printer  17) deepin-reader
   18) deepin-screen-recorder  19) deepin-screensaver-pp  20) deepin-terminal
   21) deepin-voice-note

Enter a selection (default=all): 
resolving dependencies...
looking for conflicting packages...
:: deepin-clutter and clutter are in conflict. Remove clutter? [y/N] y
:: deepin-cogl and cogl are in conflict. Remove cogl? [y/N] y
warning: dependency cycle detected:
warning: deepin-session-ui will be installed before its deepin-control-center dependency
warning: dependency cycle detected:
warning: deepin-session-ui will be installed before its deepin-daemon dependency
warning: dependency cycle detected:
warning: deepin-launcher will be installed before its startdde dependency
warning: dependency cycle detected:
warning: deepin-file-manager will be installed before its startdde dependency
warning: dependency cycle detected:
warning: deepin-session-shell will be installed before its startdde dependency

warning: insufficient columns available for table display
Packages (71) clutter-1.26.4-1 [removal]  cogl-1.22.8-1 [removal]
              deepin-clutter-1.26.2-3  deepin-cogl-1.22.5-3
              deepin-mutter-3.20.38-5  dtkwm-2.0.12-10  enca-1.19-4
              freeimage-3.18.0-12  libchardet-1.0.6-1  partclone-0.3.18-1
              progsreiserfs-0.3.0.5-10  qtdbusextended-0.0.3-1  qtmpris-1.0.6-1
              recode-3.7.9-1  syslinux-6.04.pre2.r11.gbf6db5b4-3
              xorg-appres-1.0.5-2  xscreensaver-6.02-1
              deepin-account-faces-1.0.12-1  deepin-album-5.8.12-1
              deepin-anything-5.0.9-1  deepin-api-5.4.11-1
              deepin-boot-maker-5.6.12-1  deepin-calculator-5.7.0.19-1
              deepin-calendar-5.8.4-1  deepin-camera-1.1.3-1
              deepin-clipboard-5.3.16-1  deepin-clone-5.0.10-1
              deepin-community-wallpapers-1:1.7.7-2
              deepin-compressor-5.10.0.17-1  deepin-control-center-5.4.70-2
              deepin-daemon-5.13.49-1  deepin-desktop-base-2:2021.06.16-1
              deepin-desktop-schemas-5.9.18-1
              deepin-device-formatter-0.0.1.6-1  deepin-dock-5.4.52-1
              deepin-draw-5.8.0.22-1  deepin-editor-5.9.14-1
              deepin-file-manager-1:5.2.24-1  deepin-font-manager-5.8.0.24-1
              deepin-gtk-theme-2020.06.10-1  deepin-icon-theme-2021.08.19-1
              deepin-image-viewer-5.8.2-1  deepin-launcher-5.4.37-1
              deepin-menu-5.0.1-4  deepin-metacity-3.22.24-3
              deepin-movie-1:5.7.15-1  deepin-music-6.1.7-2
              deepin-network-utils-5.4.12-1  deepin-picker-5.0.18-1
              deepin-polkit-agent-5.4.12-1
              deepin-polkit-agent-ext-gnomekeyring-0.1.0-2
              deepin-printer-0.8.7-1  deepin-pw-check-5.0.22-1
              deepin-qt5integration-5.5.8-1
              deepin-qt5platform-plugins-5.0.40-1  deepin-reader-5.9.7-1
              deepin-screen-recorder-5.10.2-1  deepin-screensaver-5.0.5-1
              deepin-screensaver-pp-0.0.4-2  deepin-session-shell-5.4.58-2
              deepin-session-ui-5.4.29-1  deepin-shortcut-viewer-5.0.3-1
              deepin-sound-theme-15.10.6-1  deepin-system-monitor-5.8.8-2
              deepin-terminal-5.4.13-1  deepin-turbo-0.0.3-2
              deepin-voice-note-5.9.7-1  deepin-wallpapers-1:1.7.7-2
              deepin-wayland-1.0.0-1  deepin-wm-1.9.38-6  startdde-5.8.29-1

Total Download Size:   171.73 MiB
Total Installed Size:  743.89 MiB
Net Upgrade Size:      305.34 MiB

:: Proceed with installation? [Y/n] Y
:: Retrieving packages...
 deepin-image-vie...    10.7 MiB   262 KiB/s 00:42 [----------------------] 100%
 deepin-voice-not...    11.7 MiB   216 KiB/s 00:56 [----------------------] 100%
 deepin-editor-5....    14.3 MiB   228 KiB/s 01:04 [----------------------] 100%
 deepin-community...    20.0 MiB   265 KiB/s 01:17 [----------------------] 100%
 deepin-system-mo...     9.5 MiB   158 KiB/s 01:02 [----------------------] 100%
 deepin-screen-re...    41.4 MiB   367 KiB/s 01:55 [----------------------] 100%
 xscreensaver-6.0...     7.5 MiB   120 KiB/s 01:04 [----------------------] 100%
 deepin-camera-1....     6.4 MiB   122 KiB/s 00:54 [----------------------] 100%
 deepin-movie-1:5...     9.0 MiB   121 KiB/s 01:16 [----------------------] 100%
 deepin-music-6.1...     4.4 MiB   200 KiB/s 00:22 [----------------------] 100%
 deepin-album-5.8...     5.1 MiB   148 KiB/s 00:35 [----------------------] 100%
 deepin-clone-5.0...     3.9 MiB   310 KiB/s 00:13 [----------------------] 100%
 deepin-font-mana...     2.8 MiB   267 KiB/s 00:11 [----------------------] 100%
 deepin-clutter-1...  1914.4 KiB   220 KiB/s 00:09 [----------------------] 100%
 deepin-reader-5....     3.1 MiB   139 KiB/s 00:23 [----------------------] 100%
 deepin-compresso...  1841.5 KiB   470 KiB/s 00:04 [----------------------] 100%
 deepin-terminal-...     3.3 MiB   142 KiB/s 00:24 [----------------------] 100%
 deepin-calendar-...  1731.1 KiB   512 KiB/s 00:03 [----------------------] 100%
 syslinux-6.04.pr...  1343.7 KiB   434 KiB/s 00:03 [----------------------] 100%
 deepin-metacity-...  1103.8 KiB   256 KiB/s 00:04 [----------------------] 100%
 deepin-printer-0...     2.8 MiB   123 KiB/s 00:24 [----------------------] 100%
 deepin-calculato...  1032.2 KiB   270 KiB/s 00:04 [----------------------] 100%
 deepin-mutter-3....   981.5 KiB   350 KiB/s 00:03 [----------------------] 100%
 deepin-boot-make...  1569.8 KiB   190 KiB/s 00:08 [----------------------] 100%
 deepin-cogl-1.22...   768.7 KiB   301 KiB/s 00:03 [----------------------] 100%
 deepin-screensav...   677.3 KiB   319 KiB/s 00:02 [----------------------] 100%
 deepin-draw-5.8....   504.5 KiB   310 KiB/s 00:02 [----------------------] 100%
 partclone-0.3.18...   571.8 KiB   218 KiB/s 00:03 [----------------------] 100%
 recode-3.7.9-1-x...   414.1 KiB   325 KiB/s 00:01 [----------------------] 100%
 deepin-wm-1.9.38...   391.0 KiB   489 KiB/s 00:01 [----------------------] 100%
 freeimage-3.18.0...   325.2 KiB   685 KiB/s 00:00 [----------------------] 100%
 deepin-screensav...   246.6 KiB   634 KiB/s 00:00 [----------------------] 100%
 qtmpris-1.0.6-1-...   116.4 KiB   260 KiB/s 00:00 [----------------------] 100%
 enca-1.19-4-x86_64    103.7 KiB   201 KiB/s 00:01 [----------------------] 100%
 deepin-clipboard...   103.3 KiB   210 KiB/s 00:00 [----------------------] 100%
 libchardet-1.0.6...    90.6 KiB   209 KiB/s 00:00 [----------------------] 100%
 deepin-picker-5....    62.5 KiB   263 KiB/s 00:00 [----------------------] 100%
 deepin-device-fo...    60.6 KiB   178 KiB/s 00:00 [----------------------] 100%
 deepin-turbo-0.0...    57.0 KiB   182 KiB/s 00:00 [----------------------] 100%
 progsreiserfs-0....    53.7 KiB   231 KiB/s 00:00 [----------------------] 100%
 qtdbusextended-0...    32.2 KiB   211 KiB/s 00:00 [----------------------] 100%
 deepin-shortcut-...    29.1 KiB   103 KiB/s 00:00 [----------------------] 100%
 dtkwm-2.0.12-10-...    20.4 KiB  47.8 KiB/s 00:00 [----------------------] 100%
 xorg-appres-1.0....     7.7 KiB  18.3 KiB/s 00:00 [----------------------] 100%
 Total (44/44)         171.7 MiB  1032 KiB/s 02:50 [----------------------] 100%
(69/69) checking keys in keyring                   [----------------------] 100%
(69/69) checking package integrity                 [----------------------] 100%
(69/69) loading package files                      [----------------------] 100%
(69/69) checking for file conflicts                [----------------------] 100%
:: Processing package changes...
(1/2) removing clutter                             [----------------------] 100%
(2/2) removing cogl                                [----------------------] 100%
( 1/69) reinstalling deepin-account-faces          [----------------------] 100%
warning: directory permissions differ on /var/lib/AccountsService/icons/
filesystem: 775  package: 755
( 2/69) reinstalling deepin-desktop-base           [----------------------] 100%
( 3/69) reinstalling deepin-anything               [----------------------] 100%
( 4/69) reinstalling deepin-api                    [----------------------] 100%
( 5/69) reinstalling deepin-wayland                [----------------------] 100%
( 6/69) reinstalling deepin-qt5platform-plugins    [----------------------] 100%
( 7/69) reinstalling deepin-qt5integration         [----------------------] 100%
( 8/69) installing deepin-calendar                 [----------------------] 100%
( 9/69) reinstalling deepin-gtk-theme              [----------------------] 100%
(10/69) reinstalling deepin-icon-theme             [----------------------] 100%
(11/69) reinstalling deepin-sound-theme            [----------------------] 100%
(12/69) reinstalling deepin-desktop-schemas        [----------------------] 100%
(13/69) reinstalling deepin-polkit-agent           [----------------------] 100%
(14/69) reinstalling deepin-polkit-agent-ext-g...  [----------------------] 100%
(15/69) reinstalling deepin-wallpapers             [----------------------] 100%
(16/69) reinstalling deepin-session-ui             [----------------------] 100%
(17/69) reinstalling deepin-daemon                 [----------------------] 100%
(18/69) reinstalling deepin-menu                   [----------------------] 100%
(19/69) reinstalling deepin-launcher               [----------------------] 100%
(20/69) reinstalling deepin-network-utils          [----------------------] 100%
(21/69) reinstalling deepin-dock                   [----------------------] 100%
(22/69) reinstalling deepin-file-manager           [----------------------] 100%
(23/69) reinstalling deepin-session-shell          [----------------------] 100%
(24/69) reinstalling startdde                      [----------------------] 100%
(25/69) reinstalling deepin-pw-check               [----------------------] 100%
(26/69) reinstalling deepin-control-center         [----------------------] 100%
(27/69) installing freeimage                       [----------------------] 100%
(28/69) installing deepin-image-viewer             [----------------------] 100%
Optional dependencies for deepin-image-viewer
    deepin-manual: for help manual
    deepin-shortcut-viewer: for shortcut display [pending]
(29/69) installing deepin-metacity                 [----------------------] 100%
(30/69) installing xorg-appres                     [----------------------] 100%
(31/69) installing xscreensaver                    [----------------------] 100%
Optional dependencies for xscreensaver
    gdm: for login manager support [installed]
(32/69) installing deepin-screensaver              [----------------------] 100%
(33/69) installing deepin-shortcut-viewer          [----------------------] 100%
(34/69) installing dtkwm                           [----------------------] 100%
(35/69) installing deepin-system-monitor           [----------------------] 100%
(36/69) installing deepin-turbo                    [----------------------] 100%
(37/69) installing deepin-cogl                     [----------------------] 100%
(38/69) installing deepin-clutter                  [----------------------] 100%
(39/69) installing deepin-mutter                   [----------------------] 100%
(40/69) installing deepin-wm                       [----------------------] 100%
(41/69) installing deepin-album                    [----------------------] 100%
(42/69) installing syslinux                        [----------------------] 100%

==> For setting up Syslinux BIOS using the syslinux-install_update script follow
    https://wiki.archlinux.org/index.php/Syslinux#Automatic_Install

==> For setting up Syslinux EFI follow
    https://wiki.archlinux.org/index.php/Syslinux#UEFI_Systems

==> The syslinux-install_update script does not currently support EFI install

Optional dependencies for syslinux
    perl-crypt-passwdmd5: For md5pass
    perl-digest-sha1: For sha1pass
    mtools: For mkdiskimage and syslinux support [installed]
    gptfdisk: For GPT support [installed]
    util-linux: For isohybrid [installed]
    efibootmgr: For EFI support [installed]
    dosfstools: For EFI support [installed]
(43/69) installing deepin-boot-maker               [----------------------] 100%
(44/69) installing deepin-calculator               [----------------------] 100%
(45/69) installing deepin-camera                   [----------------------] 100%
(46/69) installing deepin-clipboard                [----------------------] 100%
(47/69) installing progsreiserfs                   [----------------------] 100%
(48/69) installing partclone                       [----------------------] 100%
(49/69) installing deepin-clone                    [----------------------] 100%
(50/69) installing deepin-community-wallpapers     [----------------------] 100%
(51/69) installing deepin-compressor               [----------------------] 100%
(52/69) installing deepin-device-formatter         [----------------------] 100%
(53/69) installing deepin-picker                   [----------------------] 100%
(54/69) installing deepin-draw                     [----------------------] 100%
(55/69) installing recode                          [----------------------] 100%
(56/69) installing enca                            [----------------------] 100%
(57/69) installing deepin-editor                   [----------------------] 100%
(58/69) installing deepin-font-manager             [----------------------] 100%
Optional dependencies for deepin-font-manager
    deepin-file-manager: font preview in file manager [installed]
(59/69) installing qtdbusextended                  [----------------------] 100%
(60/69) installing qtmpris                         [----------------------] 100%
(61/69) installing deepin-movie                    [----------------------] 100%
(62/69) installing deepin-music                    [----------------------] 100%
(63/69) installing deepin-printer                  [----------------------] 100%
(64/69) installing libchardet                      [----------------------] 100%
(65/69) installing deepin-reader                   [----------------------] 100%
(66/69) installing deepin-screen-recorder          [----------------------] 100%
Optional dependencies for deepin-screen-recorder
    deepin-shortcut-viewer: for shortcut display [installed]
(67/69) installing deepin-screensaver-pp           [----------------------] 100%
(68/69) installing deepin-terminal                 [----------------------] 100%
Optional dependencies for deepin-terminal
    zssh: for remote management support
(69/69) installing deepin-voice-note               [----------------------] 100%
:: Running post-transaction hooks...
( 1/12) Creating system user accounts...
( 2/12) Reloading system manager configuration...
( 3/12) Reloading device manager configuration...
( 4/12) Arming ConditionNeedsUpdate...
( 5/12) Updating the MIME type database...
( 6/12) Reloading system bus configuration...
( 7/12) Updating fontconfig cache...
( 8/12) Compiling GSettings XML schema files...
( 9/12) Updating icon theme caches...
(10/12) Checking which packages need to be rebuilt
(11/12) Updating the info directory file...
(12/12) Updating the desktop file MIME type cache...

is this part going to be a problem , since grub is currently working fine on my gigabyte motherboard. I noticed these text during pacman install of deepin from my above post.

==> For setting up Syslinux BIOS using the syslinux-install_update script follow
    https://wiki.archlinux.org/index.php/Syslinux#Automatic_Install

==> For setting up Syslinux EFI follow
    https://wiki.archlinux.org/index.php/Syslinux#UEFI_Systems

==> The syslinux-install_update script does not currently support EFI install

Either is fine. The problem wasn’t your use of yay, it was what you chose to install.

You can probably disregard those messages.

I got the desktop to work I am currently log into it, seems to be fine, move latte to the top of the screen, you can in its settings turn off auto logging in for latte dock. in any case I wanted to share 4 images of deepin on Endeavouros, I had reinstalled it with pacman commands provided here, seems to be running fine




Please mark @dalto’s post as the solution. He solved this for you.

Marking your own post as the solution is not only rude, ungrateful and disrespectful, it is also useless for anyone else unfortunate enough to have the same problem and stumble upon your thread.

2 Likes

two problems it crashes with wallpaper and screensaver , the tray is now not reloading it seems to crash , was able to get back into the deepin menu with the windows key on my keyboard otherwise its not working correctly, will have to log out and back in should but the wallpaper and screensaver part needs fixing, so its not a solution yet, sorry.

and also crashes Display settings - system info tab crashes




Only two? That’s very good for Deepin! Usually the number of problems is in hundreds.

2 Likes

only two problems that I noticed, I can’t go into screensavers and wallpaper from it without it crashing on this arch version, and second was the system info tab seems to also crash it,
if there more problems with deepin desktop I have not found them yet, I think was more stable on ubuntu deepin version maybe. I think when I tried deepin before the system info tab had crashed, but I was guessing that was just it not liking my motherboard type was not sure why, but I don’t recall the screensavers and wallpaper options crashing before. I tried it on a different distro before today.

Probably. Deepin is utter rubbish on Arch.

1 Like

then use ubuntu version :innocent:

1 Like

that defeats the point in trying other linux distro’s like arch based ones and debian correct, ok debian 11 was missing drivers compared to ubuntu, and solus is different than both but its boot loader was not working, and of course there are other ones based on bsd linux and stuff like that, which other distro would you pick to use and why for deepin, that the most stable deepin desktop of distro have you tried yet? it takes some time to download all those iso images and put them into our USB drives, I have tried a lot of different linux distro over the years :slight_smile: with mixed results.

Maybe Deepin itself? Idk, just a wild, off-the-wall guess. :rofl:

5 Likes

i no post my thought on deepin … i get band in 2 seconds . :pray: for giggle . enjoy your time on Endeavouros forum

2 Likes

Never! This forum would be much worse without you.
:hugs:

2 Likes

55555 555555 . :pray:

this one, https://www.deepin.org/en/

what’s deepin based on arch, debian, bsd, ubuntu? just wondering which package system it used again, can you remind me? ok, I took a lot of time to just update this arch based distro on my hard drive, and install all the apps over again, and again, which is why I was also looking for a good way to do a remastersys type thing for this arch version to my USB drive, but in any case some of the update systems work better than other versions of linux but of course you know that , I don’t recall trying that one but I may of, again it may of crashed the system info I check to see on my windows hard drive if I have an iso for it already, these are all the distro I have download so far, I don’t think I tried that one yet. :slight_smile: if I did download it I may of misplaced it or deleted it not sure which. :slight_smile: